List All Trades

This endpoint lists all trades and can be used in streaming mode. Streaming mode allows you to listen for new trades as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known trade unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream trades created since your request time. When filtering for a specific orderbook, you must use use all six of these arguments: base_asset_type, base_asset_issuer, base_asset_code, counter_asset_type, counter_asset_issuer, and counter_asset_code. If the base or counter asset is XLM, you only need to indicate the asset type as native and do not need to designate the code or the issuer.

Query Params
string

The offer ID. Used to filter for trades originating from a specific offer.

string
enum

The type for the base asset. Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the base asset’s issuer. Required if the base_asset_type is not native.

string

The code for the base asset. Required if the base_asset_type is not native.

string
enum

The type for the counter asset. Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the counter asset’s issuer. Required if the counter_asset_type is not native.

string

The code for the counter asset. Required if the counter_asset_type is not native.

string
enum

Can be set to all, orderbook, or liquidity_pools to filter only trades executed across a given mechanism.

Allowed:
integer

A number that points to a specific location in a collection of responses and is pulled from the paging_token value of a record.

string
enum

A designation of the order in which records should appear. Options include asc (ascending) or desc (descending). If this argument isn’t set, it defaults to asc.

Allowed:
integer

The maximum number of records returned. The limit can range from 1 to 200 - an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 10.

Response

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json